> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a transaction by external ID



## OpenAPI

````yaml /openapi/transactions.json put /transactions/external/{externalId}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/external/{externalId}:
    put:
      tags:
        - Transactions
      summary: Create or update a transaction by external ID
      operationId: transactions.upsertByExternalId
      parameters:
        - name: externalId
          in: path
          required: true
          schema:
            allOf:
              - type: string
                description: External ID
              - type: string
                minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  enum:
                    - not_applicable
                    - pending
                    - completed
                    - failed
                    - cancelled
                  type: string
                  description: Status
                  default: not_applicable
                amount:
                  anyOf:
                    - type: number
                    - type: string
                  description: Amount
                currency:
                  type: string
                  description: Currency
                exchangeRates:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    anyOf:
                      - type: number
                        exclusiveMinimum: 0
                      - type: string
                  description: Exchange Rates
                relatedClientIds:
                  anyOf:
                    - type: string
                      format: uuid
                    - type: array
                      minItems: 1
                      items:
                        type: string
                        format: uuid
                    - type: array
                      minItems: 1
                      items:
                        type: object
                        properties:
                          clientId:
                            type: string
                            format: uuid
                          role:
                            enum:
                              - base
                              - counterparty
                              - guarantor
                            type: string
                          metadata:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                        required:
                          - clientId
                  description: Related Clients
                timestamp:
                  anyOf:
                    - type: string
                      format: date-time
                    - type: string
                      format: date-time
                  description: Timestamp
                description:
                  type: string
                  description: Description
                productId:
                  type: string
                  format: uuid
                  description: Product ID
                metadata:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  description: Metadata
                scopes:
                  type: array
                  minItems: 1
                  items:
                    enum:
                      - base
                      - MX:AV
                      - MX:AV:ARI
                      - MX:AV:AVI
                      - MX:AV:INM
                      - MX:AV:JYS
                      - MX:AV:MJR
                      - MX:AV:MPC
                      - MX:AV:TSC
                      - MX:AV:VEH
                      - MX:CNBV
                      - MX:CNBV:TRANSMISOR
                      - MX
                    type: string
                scopeData:
                  type: object
                  properties:
                    MX:
                      type: object
                      properties:
                        actividadVulnerable:
                          type: object
                          properties:
                            ARI:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '1501'
                                  type: string
                                  default: '1501'
                                  description: Operation Type
                                property:
                                  type: object
                                  properties:
                                    type:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '13'
                                        - '14'
                                        - '15'
                                        - '16'
                                        - '17'
                                        - '18'
                                        - '99'
                                      type: string
                                      description: Property Type
                                    leaseStartDate:
                                      type: string
                                      format: date
                                      description: Lease Start Date
                                    leaseEndDate:
                                      type: string
                                      format: date
                                      description: Lease End Date
                                    value:
                                      anyOf:
                                        - type: number
                                          exclusiveMinimum: 0
                                        - type: string
                                      description: Property Value
                                    colonia:
                                      type: string
                                      maxLength: 50
                                      description: Property Colonia
                                    calle:
                                      type: string
                                      maxLength: 100
                                      description: Property Street
                                    numeroExterior:
                                      type: string
                                      maxLength: 56
                                      description: Property Exterior Number
                                    numeroInterior:
                                      type: string
                                      maxLength: 40
                                      description: Property Interior Number
                                    postalCode:
                                      type: string
                                      pattern: ^\d{5}$
                                      description: Property Postal Code
                                    folioReal:
                                      type: string
                                      maxLength: 200
                                      description: Folio Real
                                  required:
                                    - type
                                    - leaseStartDate
                                    - leaseEndDate
                                    - value
                                    - colonia
                                    - calle
                                    - numeroExterior
                                    - postalCode
                                    - folioReal
                                  description: Property Details
                                payments:
                                  type: array
                                  minItems: 1
                                  items:
                                    type: object
                                    properties:
                                      paymentDate:
                                        type: string
                                        format: date
                                        description: Payment Date
                                      paymentForm:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                        type: string
                                        description: Payment Form
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '99'
                                        type: string
                                        description: Monetary Instrument
                                      currency:
                                        type: string
                                        description: Currency
                                      amount:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Amount
                                    required:
                                      - paymentForm
                                      - monetaryInstrument
                                      - currency
                                      - amount
                                  description: Payments
                              required:
                                - property
                                - payments
                            AVI:
                              anyOf:
                                - type: object
                                  properties:
                                    operationType:
                                      const: buy
                                      description: Operation Type
                                    hash:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                      description: Hash
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                    cryptoAmount:
                                      anyOf:
                                        - type: number
                                          exclusiveMinimum: 0
                                        - type: string
                                      description: Crypto Amount
                                  required:
                                    - operationType
                                    - hash
                                    - cryptoCurrency
                                    - cryptoAmount
                                - type: object
                                  properties:
                                    operationType:
                                      const: sell
                                      description: Operation Type
                                    hash:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                      description: Hash
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                    cryptoAmount:
                                      anyOf:
                                        - type: number
                                          exclusiveMinimum: 0
                                        - type: string
                                      description: Crypto Amount
                                  required:
                                    - operationType
                                    - hash
                                    - cryptoCurrency
                                    - cryptoAmount
                                - type: object
                                  properties:
                                    operationType:
                                      const: exchange
                                      description: Operation Type
                                    hash:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                      description: Hash
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                    cryptoAmount:
                                      anyOf:
                                        - type: number
                                          exclusiveMinimum: 0
                                        - type: string
                                      description: Crypto Amount
                                  required:
                                    - operationType
                                    - hash
                                    - cryptoCurrency
                                    - cryptoAmount
                                - type: object
                                  properties:
                                    operationType:
                                      const: transfer
                                      description: Operation Type
                                    hash:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                      description: Hash
                                    transferDirection:
                                      enum:
                                        - enviada
                                        - recibida
                                      type: string
                                      description: Transfer Direction
                                      default: enviada
                                  required:
                                    - operationType
                                    - hash
                                - type: object
                                  properties:
                                    operationType:
                                      const: deposit
                                      description: Operation Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '99'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - operationType
                                    - monetaryInstrument
                                - type: object
                                  properties:
                                    operationType:
                                      const: withdrawal
                                      description: Operation Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '99'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - operationType
                                    - monetaryInstrument
                            INM:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '501'
                                  type: string
                                  default: '501'
                                  description: Operation Type
                                figuraCliente:
                                  enum:
                                    - '1'
                                    - '2'
                                  type: string
                                  description: Figura Cliente
                                figuraSO:
                                  enum:
                                    - '1'
                                    - '2'
                                    - '3'
                                  type: string
                                  description: Figura SO
                                inmuebles:
                                  type: array
                                  minItems: 1
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '17'
                                          - '18'
                                          - '99'
                                        type: string
                                        description: Property Type
                                      value:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Agreed Value (valor_pactado)
                                      colonia:
                                        type: string
                                        minLength: 1
                                        maxLength: 50
                                        description: Neighborhood (Colonia)
                                      calle:
                                        type: string
                                        minLength: 1
                                        maxLength: 100
                                        description: Street
                                      numeroExterior:
                                        type: string
                                        minLength: 1
                                        maxLength: 56
                                        description: Numero Exterior
                                      numeroInterior:
                                        type: string
                                        maxLength: 40
                                        description: Numero Interior
                                      postalCode:
                                        type: string
                                        description: Postal Code
                                      dimensionTerreno:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Terrain Dimension (m²)
                                      dimensionConstruido:
                                        anyOf:
                                          - type: number
                                            minimum: 0
                                          - type: string
                                        description: Built Dimension (m²)
                                      folioReal:
                                        type: string
                                        minLength: 1
                                        maxLength: 200
                                        description: Folio Real
                                    required:
                                      - type
                                      - value
                                      - colonia
                                      - calle
                                      - numeroExterior
                                      - postalCode
                                      - dimensionTerreno
                                      - dimensionConstruido
                                      - folioReal
                                  description: Real Estate Properties
                                contract:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          const: notarial
                                        instrumentNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 20
                                          description: Instrument Number
                                        instrumentDate:
                                          type: string
                                          format: date
                                          description: Instrument Date
                                        notaryNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 8
                                          description: Notary Number
                                        notaryStateCode:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '19'
                                            - '20'
                                            - '21'
                                            - '22'
                                            - '23'
                                            - '24'
                                            - '25'
                                            - '26'
                                            - '27'
                                            - '28'
                                            - '29'
                                            - '30'
                                            - '31'
                                            - '32'
                                          type: string
                                          description: Notary State
                                        cadastralValue:
                                          anyOf:
                                            - type: number
                                              exclusiveMinimum: 0
                                            - type: string
                                          description: Cadastral / Appraisal Value
                                      required:
                                        - type
                                        - instrumentNumber
                                        - instrumentDate
                                        - notaryNumber
                                        - notaryStateCode
                                        - cadastralValue
                                    - type: object
                                      properties:
                                        type:
                                          const: private
                                        contractDate:
                                          type: string
                                          format: date
                                          description: Contract Date
                                      required:
                                        - type
                                        - contractDate
                                  description: Contract
                                payments:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      paymentDate:
                                        type: string
                                        format: date
                                        description: Payment Date
                                      paymentForm:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                        type: string
                                        description: Payment Form
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '99'
                                        type: string
                                        description: Monetary Instrument
                                      currency:
                                        type: string
                                        description: Currency
                                      amount:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Amount
                                    required:
                                      - paymentForm
                                      - monetaryInstrument
                                      - currency
                                      - amount
                                  description: Payments
                              required:
                                - figuraCliente
                                - figuraSO
                                - inmuebles
                                - contract
                            JYS:
                              anyOf:
                                - type: object
                                  properties:
                                    branchInformation:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              const: own
                                              description: Type
                                            postalCode:
                                              type: string
                                              minLength: 5
                                              maxLength: 5
                                              pattern: ^\d+$
                                              description: Postal Code
                                          required:
                                            - type
                                            - postalCode
                                        - type: object
                                          properties:
                                            type:
                                              const: operator
                                              description: Type
                                            postalCode:
                                              type: string
                                              minLength: 5
                                              maxLength: 5
                                              pattern: ^\d+$
                                              description: Postal Code
                                            operatorName:
                                              type: string
                                              minLength: 1
                                              maxLength: 200
                                              description: Operator Name
                                          required:
                                            - type
                                            - postalCode
                                            - operatorName
                                      description: Branch Information
                                    operationType:
                                      enum:
                                        - '101'
                                        - '102'
                                        - '103'
                                      type: string
                                      description: Operation Type
                                    businessLine:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                      type: string
                                      description: Business Line
                                    operationMethod:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                      type: string
                                      description: Operation Method
                                    settlementType:
                                      const: cash
                                      description: Settlement Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '13'
                                        - '14'
                                        - '15'
                                        - '16'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - branchInformation
                                    - operationType
                                    - businessLine
                                    - operationMethod
                                    - settlementType
                                    - monetaryInstrument
                                - anyOf:
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                          description: Settlement Type
                                        assetType:
                                          const: '1'
                                          description: Asset Type
                                        realEstateType:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '99'
                                          type: string
                                          description: Real Estate Type
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                        - realEstateType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '2'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '3'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '4'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '5'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '6'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '7'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '8'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                                - postalCode
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                                - postalCode
                                                - operatorName
                                          description: Branch Information
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        settlementType:
                                          const: in-kind
                                        assetType:
                                          const: '99'
                                      required:
                                        - branchInformation
                                        - operationType
                                        - businessLine
                                        - operationMethod
                                        - settlementType
                                        - assetType
                            MJR:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '601'
                                    - '602'
                                  type: string
                                  default: '601'
                                  description: Operation Type
                                operationPostalCode:
                                  type: string
                                  pattern: ^\d{5}$
                                  description: Operation Postal Code
                                goods:
                                  type: array
                                  minItems: 1
                                  items:
                                    type: object
                                    properties:
                                      goodType:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                        type: string
                                        description: Good Type
                                      unit:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                        type: string
                                        description: Unit
                                      quantity:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Quantity
                                    required:
                                      - goodType
                                      - unit
                                      - quantity
                                  description: Goods
                                payments:
                                  type: array
                                  minItems: 1
                                  items:
                                    type: object
                                    properties:
                                      paymentDate:
                                        type: string
                                        format: date
                                        description: Payment Date
                                      paymentForm:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                        type: string
                                        description: Payment Form
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '99'
                                        type: string
                                        description: Monetary Instrument
                                      currency:
                                        type: string
                                        description: Currency
                                      amount:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Amount
                                    required:
                                      - paymentForm
                                      - monetaryInstrument
                                      - currency
                                      - amount
                                  description: Payments
                              required:
                                - operationPostalCode
                                - goods
                                - payments
                            MPC:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '401'
                                    - '402'
                                  type: string
                                  description: Operation Type
                                postalCode:
                                  type: string
                                  pattern: ^\d{5}$
                                  description: Operation Postal Code
                                collateral:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      tipoGarantia:
                                        enum:
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '15'
                                          - '99'
                                        type: string
                                        description: Collateral Type
                                      bienMutuo:
                                        anyOf:
                                          - type: object
                                            properties:
                                              kind:
                                                const: inmueble
                                              tipoInmueble:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                                description: Property Type
                                              valorReferencia:
                                                type: string
                                                pattern: ^\d{1,14}\.\d{2}$
                                                description: Reference Value
                                              postalCode:
                                                type: string
                                                pattern: ^\d{5}$
                                                description: Property Postal Code
                                              folioReal:
                                                type: string
                                                minLength: 1
                                                maxLength: 200
                                                description: Folio Real (public registry folio)
                                            required:
                                              - kind
                                              - tipoInmueble
                                              - valorReferencia
                                              - postalCode
                                              - folioReal
                                          - type: object
                                            properties:
                                              kind:
                                                const: otro
                                              descripcion:
                                                type: string
                                                minLength: 1
                                                maxLength: 3000
                                                description: Garantía Description (free text)
                                            required:
                                              - kind
                                              - descripcion
                                        description: Bien en Mutuo
                                      guarantorClientId:
                                        type: string
                                        format: uuid
                                        description: >-
                                          Guarantor Client (linked with
                                          role='guarantor')
                                    required:
                                      - tipoGarantia
                                  description: Collateral (datos_garantia)
                                disbursements:
                                  type: array
                                  minItems: 1
                                  items:
                                    type: object
                                    properties:
                                      disbursementDate:
                                        type: string
                                        format: date
                                        description: Disbursement Date
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                        type: string
                                        description: Monetary Instrument
                                      currency:
                                        type: string
                                        description: Currency
                                      amount:
                                        anyOf:
                                          - type: number
                                            exclusiveMinimum: 0
                                          - type: string
                                        description: Amount
                                    required:
                                      - monetaryInstrument
                                      - currency
                                      - amount
                                  description: Disbursements (datos_liquidacion)
                              required:
                                - operationType
                                - postalCode
                                - disbursements
                            TSC:
                              type: object
                              properties:
                                cardType:
                                  enum:
                                    - '1'
                                    - '2'
                                  type: string
                                  description: Card Type
                                idNumber:
                                  type: string
                                  minLength: 1
                                  maxLength: 18
                                  description: ID Number
                                operationType:
                                  enum:
                                    - '211'
                                  type: string
                                  default: '211'
                                  description: Operation Type
                              required:
                                - cardType
                                - idNumber
                            VEH:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '801'
                                    - '802'
                                    - '805'
                                  type: string
                                  description: Operation Type
                                postalCode:
                                  type: string
                                  pattern: ^\d{5}$
                                  description: Operation Postal Code
                                operationDate:
                                  type: string
                                  format: date
                                  description: Operation Date
                                vehicles:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            const: terrestre
                                          marcaFabricante:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Manufacturer Brand
                                          modelo:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Model
                                          anio:
                                            type: string
                                            pattern: ^\d{4}$
                                            description: Year
                                          vin:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{17}$
                                            description: VIN
                                          repuve:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{8}$
                                            description: REPUVE
                                          placas:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,12}$
                                            description: License Plates
                                          nivelBlindaje:
                                            enum:
                                              - '1'
                                              - '2'
                                              - '3'
                                              - '4'
                                              - '5'
                                              - '6'
                                              - '7'
                                              - '9'
                                            type: string
                                            description: Armoring Level
                                        required:
                                          - kind
                                          - marcaFabricante
                                          - modelo
                                          - anio
                                          - nivelBlindaje
                                      - type: object
                                        properties:
                                          kind:
                                            const: maritimo
                                          marcaFabricante:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Manufacturer Brand
                                          modelo:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Model
                                          anio:
                                            type: string
                                            pattern: ^\d{4}$
                                            description: Year
                                          numeroSerie:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,20}$
                                            description: Serial Number
[...]
